Application: gvSIG desktop - gvSIG bugs #121
Undo tool does not work in edition table
12/23/2011 10:05 AM - Miquel Espi

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Jorge Piera

Category:

Target version:

Severity: Add-on version: 2.0
gvSIG version: 2.0.0 Add-on build: 2042
gvSIG build: 2042 Add-on resolve version2.0.0
Operative System: Add-on resolve build: 2044
Keywords: Proyecto:

Has patch: No Hito:

Add-on name:

Description

1.- Open gvSIG

2.- Open table in the project manager.

3.- Open table.

4.- Select Start edition table in Table menubar.
5.- Edit table, change any row.
6.- Push undo tool in toolbar.

When select undo tool, the error console appears.

Attached .log file.

1.- Abrir gvSIG.

2.- Abrir una tabla desde el administrador de proyectos.

3.- Abrir tabla.

4.- Seleccionar Comenzar edicion de la tabla en la barra de menu Tabla.
5.- Editar tabla, realizar cualquier cambio en la tabla.

6.- Pulsar deshacer en la barra de herramientas.

Al seleccionar la herramienta deshacer en la barra de herramientas aparece la consola de error.

Se adjunta el fichero .log.

History

#1 - 12/26/2011 01:55 PM - Jorge Piera

- Status changed from New to In progress

#2 - 12/26/2011 02:10 PM - Jorge Piera

Fixing other error opening the stack window

[gvsig-desktop 37534]

#3 - 12/26/2011 02:47 PM - Jorge Piera
When the edition finish, the edition stack window has to disappear

[gvsig-desktop 37535]

#4 - 12/27/2011 07:55 AM - Jorge Piera

- Assignee set to Jorge Piera

#5 - 01/09/2012 01:33 PM - Jorge Piera

Renaming some classes and attributes

gvsig-desktop:r37573

#6 - 01/10/2012 01:12 PM - Jorge Piera

Fixing a wrong behavior with the command stack component gvsig-desktop:r37577

#7 - 01/10/2012 01:12 PM - Jorge Piera

Fixing a wrong behavior with the command stack component

gvsig-desktop:r37577

#8 - 01/12/2012 12:56 PM - Anonymous

I've fixed several bugs with this issue. I'm pretty close to fix it definetively

gvsig-desktop:r37595
gvsig-desktop:r37596
gvsig-desktop:r37597

#9 - 01/13/2012 12:50 PM - Jorge Piera

The update operation works fine. Now | have to check the insert and the update operation

gvsig-desktop:r37603
gvsig-desktop:r37604
gvsig-desktop:r37605
gvsig-desktop:r37606

#10 - 01/13/2012 01:59 PM - Jorge Piera
- % Done changed from 0 to 80

#11 - 01/26/2012 01:14 PM - Jorge Piera
- Status changed from In progress to Fixed
- % Done changed from 80 to 100

- Add-on name deleted (unknown)
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2044

| close this bug. There are other issues related with this (the slider behaviour) but | will open them in other tickets.

gvsig-desktop:r37814

#12 - 11/08/2012 09:36 AM - Abenchara Socorro

- Status changed from Fixed to Closed

Files

gvSIG_undo.log 150 KB 12/23/2011 Miquel Espi
